# Uses of Class
org.lwjgl.opengles.EGLConfig

Packages that use EGLConfig
Package
Description
org.lwjgl.opengles

## Uses of EGLConfig in org.lwjgl.opengles

Methods in org.lwjgl.opengles that return EGLConfig
Modifier and Type
Method
Description
`EGLConfig[]`
EGLDisplay.`chooseConfig(IntBuffer attrib_list, EGLConfig[] configs, IntBuffer num_config)`
Returns the available EGL configs on this display that satisfy the specified list of attributes.
`EGLConfig`
PixelFormat.`getBestMatch(EGLConfig[] configs)`
Returns the EGL config from the specified array that best matches this PixelFormat.
`EGLConfig`
EGLSurface.`getConfig()`
Returns the EGL config associated with this EGL surface.
Methods in org.lwjgl.opengles with parameters of type EGLConfig
Modifier and Type
Method
Description
`EGLConfig[]`
EGLDisplay.`chooseConfig(IntBuffer attrib_list, EGLConfig[] configs, IntBuffer num_config)`
Returns the available EGL configs on this display that satisfy the specified list of attributes.
`EGLContext`
EGLDisplay.`createContext(EGLConfig config, EGLContext shareContext, IntBuffer attrib_list)`
`EGLSurface`
EGLDisplay.`createWindowSurface(EGLConfig config, long window, IntBuffer attrib_list)`
Creates an on-screen rendering surface on this EGL display.
`EGLConfig`
PixelFormat.`getBestMatch(EGLConfig[] configs)`
Returns the EGL config from the specified array that best matches this PixelFormat.